Results 1 to 1 of 1

Thread: use of repeat in turning block attributes into multitext for Mleader

  1. #1
    Member
    Join Date
    2018-03
    Posts
    12
    Login to Give a bone
    0

    Default use of repeat in turning block attributes into multitext for Mleader

    So I have the following LISP written :

    Code:
    (defun c:MULTITAG ( / ) 
     (setq DEPTH () CODE () ELEVATION () SIZE () MATERIAL () NOTE () FLOW () )	
     (varopen)
    
     (setq RPT (getint "\nEnter Number of Pipes : ")) 	
    
     (repeat RPT  						
     (setq Blname (car(entsel "\nSelect Survey Points for attributes:")))	
    
     (GA Blname)						
    
     (setq Si_dia (strcat flow " - " Size "%%c"))
     (if (= material "UKN")
     (setq Si_dia_mat Si_dia)
     (setq Si_dia_mat (strcat Si_dia " " Material))
     )
     (setq ELEVATIONN (atof C))				
     (setq DEPTHN (atof DEPTH))				
     (setq y (- ELEVATIONN DEPTHN))				
     (setq x (rtos y))					
     (setq D DEPTH)						
     (setq Tx (strcat si_dia_mat " (" CODE ")" "\n\ RL OF INVERT: " x "m" "\n\ TAPE DEPTH: " D "m" "\n" )))
     (princ)
     
    
     (setq Blname2 (car(entsel "\nSelect Survey Point for leader insertion:")))	
    
     (GA Blname2)
    
     (setq coord (cdr(assoc 10 (entget blname2))))		
     (setq A (rtos (nth 0 coord) 2 3))
     (setq B (rtos (nth 1 coord) 2 3))
     (setq C (rtos (nth 2 coord) 2 3))
    
    
    
    							
     (COMMAND "-LAYER" "M" (strcat lay "_txt") "")		
     (COMMAND "_MLEADER" coord PAUSE TX))			
     (Varclose)
     (prin1)
    I understand that what this LISP is doing at present is writing then writing over the text for Mleader for RPT instances, the text in red. How do I change the code to get 1,2,3...etc instances of the text to capture and write into the multitext of the Mleader?
    Last edited by Opie; 2020-02-17 at 03:18 PM. Reason: [code] tags added - Opie

Similar Threads

  1. 2019: No multitext or dimensions in paperspace?
    By Alan_T in forum AutoCAD General
    Replies: 4
    Last Post: 2019-03-05, 02:32 PM
  2. Replies: 1
    Last Post: 2014-06-16, 07:54 PM
  3. Replies: 1
    Last Post: 2012-02-16, 06:58 PM
  4. Replies: 4
    Last Post: 2008-01-13, 07:56 PM
  5. Mleader Attributes
    By jimmytadams in forum AutoCAD Annotation
    Replies: 8
    Last Post: 2007-12-12, 08:29 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •